<?php
	require_once('../../connect/db.php');

	$busca = '%'.$_GET['busca'].'%';

	if ($_GET['categoria']) {
		$categoria = (int)$_GET['categoria'];

		$sql = $db->prepare("SELECT idProduto,titulo FROM link_util WHERE (titulo LIKE :busca OR link LIKE :busca) AND categoria = :categoria AND statusProduto = 1 ORDER BY titulo");
		$sql->bindParam(':busca', $busca, PDO::PARAM_STR);
		$sql->bindParam(':categoria', $categoria, PDO::PARAM_STR);

	} else {
		$sql = $db->prepare("SELECT idProduto,titulo FROM link_util WHERE (titulo LIKE :busca OR link LIKE :busca) AND statusProduto = 1 ORDER BY titulo");
		$sql->bindParam(':busca', $busca, PDO::PARAM_STR);
	}

	$sql->execute();

	$qtdLinks = $sql->rowCount();

	if ($qtdLinks) {

		$links = $sql->fetchAll(PDO::FETCH_ASSOC);
?>

<table border="0" cellspacing="10" class="tabela-conteudo">
	<tbody>
		<tr class="linha-topo">
			<th>ID</th>
			<th>Nome</th>
			<th>Editar</th>
			<th>Deletar</th>
		</tr>
		<?php
			$aux = 1;
			foreach ($links as $link) {
		?>
		<tr <?php if($aux % 2 == 0){ echo"bgcolor='f2eaea'"; }else{ echo"bgcolor='edeaea'"; } ?>>
			<td class="idTabelaExibir"><?php echo $link['idProduto']; ?></td>
			<td class="nomeTabelaExibir"><?php echo $link['titulo']; ?></td>
			<td class="icons-categorias"><a href='miolo.php?miolo=linksuteis&acao=alterar&id=<?php echo $link['idProduto'];?>'><img src="images/editar.png" width="20px" height="20px" alt="" border='0'></a></td>
			<td class="icons-categorias"><a href='miolo.php?miolo=linksuteis&acao=excluir&id=<?php echo $link['idProduto'];?>'><img src="images/lixo.png" width="20px" height="20px" alt="" border='0'></a></td>
		</tr>
		<?php $aux += 1; } ?>
	</tbody>
</table>

<script type="text/javascript">
	$(document).ready(function(){
		$(".detalhes").colorbox({iframe:true, width:"50%", height:"58%"});
	});
</script>

<?php } elseif($_GET['busca'] && $_GET['categoria']) { ?>

	<h3>Sua busca por '<em><?php echo $_GET['busca']; ?></em>' não retornou resultados nesta categoria.</h3>

<?php } elseif($_GET['busca']) { ?>

	<h3>Sua busca por '<em><?php echo $_GET['busca']; ?></em>' não retornou resultados.</h3>

<?php } elseif($_GET['categoria']) { ?>

	<h3>Não há links úteis cadastrados nesta categoria.</h3>

<?php } else { ?>

	<h3>Não há links úteis cadastrados no sistema. <a href="miolo.php?miolo=linksuteis&acao=insert">Clique aqui</a> para adicionar um.</h3>

<?php } ?>
